Uploaded image for project: 'Couchbase Documentation'
  1. Couchbase Documentation
  2. DOC-8666

Document should update for "setting-saslauthd" is not supported for windows

    XMLWordPrintable

Details

    • Bug
    • Status: Resolved
    • Major
    • Resolution: Fixed
    • Neo
    • Neo
    • tools
    • Tools 2021 Dec
    • 1

    Description

      Executed "setting-saslauthd" on windows as:

      couchbase-cli setting-saslauthd -c 172.23.97.164:8091 -u Administrator -p password --enabled 1

      Error observed as:

      ERROR: This http API endpoint is only supported in enterprise edition running on GNU/Linux

      As it is restricted for windows so same should update on docs also.

       

      couchbase-cli setting-saslauthd  -c 172.23.97.164:8091 -u Administrator -p password --enabled 1 -d
      GET http://172.23.97.164:8091/pools
      200, {'Cache-Control': 'no-cache,no-store,must-revalidate', 'Content-Length': '904', 'Content-Type': 'application/json', 'Date': 'Thu, 17 Jun 2021 09:49:02 GMT', 'Expires': 'Thu, 01 Jan 1970 0000 GMT', 'Pragma': 'no-cache', 'Server': 'Couchbase Server', 'X-Content-Type-Options': 'nosniff', 'X-Frame-Options': 'DENY', 'X-Permitted-Cross-Domain-Policies': 'none', 'X-XSS-Protection': '1; mode=block'}, b'{"isAdminCreds":true,"isROAdminCreds":false,"isEnterprise":true,"allowedServices":["kv","n1ql","index","fts","cbas","eventing","backup"],"isDeveloperPreview":false,"packageVariant":"","pools":[

      {"name":"default","uri":"/pools/default?uuid=6fbead6ee4d86818b26362b48cdd2cd5","streamingUri":"/poolsStreaming/default?uuid=6fbead6ee4d86818b26362b48cdd2cd5"}

      ],"settings":{"maxParallelIndexers":"/settings/maxParallelIndexers?uuid=6fbead6ee4d86818b26362b48cdd2cd5","viewUpdateDaemon":"/settings/viewUpdateDaemon?uuid=6fbead6ee4d86818b26362b48cdd2cd5"},"uuid":"6fbead6ee4d86818b26362b48cdd2cd5","implementationVersion":"7.0.0-5269-enterprise","componentsVersion":{"stdlib":"3.12.1","chronicle":"0.0.1","crypto":"4.6.5.2","sasl":"3.4.2","ns_server":"7.0.0-5269-enterprise","ale":"0.0.0","lhttpc":"1.3.0","inets":"7.1.3.3","os_mon":"2.5.1.1","public_key":"1.7.2","ssl":"9.6.2.3","asn1":"5.0.12","kernel":"6.5.2.1"}}'
      GET http://172.23.97.164:8091/pools
      200, {'Cache-Control': 'no-cache,no-store,must-revalidate', 'Content-Length': '904', 'Content-Type': 'application/json', 'Date': 'Thu, 17 Jun 2021 09:49:02 GMT', 'Expires': 'Thu, 01 Jan 1970 0000 GMT', 'Pragma': 'no-cache', 'Server': 'Couchbase Server', 'X-Content-Type-Options': 'nosniff', 'X-Frame-Options': 'DENY', 'X-Permitted-Cross-Domain-Policies': 'none', 'X-XSS-Protection': '1; mode=block'}, b'{"isAdminCreds":true,"isROAdminCreds":false,"isEnterprise":true,"allowedServices":["kv","n1ql","index","fts","cbas","eventing","backup"],"isDeveloperPreview":false,"packageVariant":"","pools":[

      {"name":"default","uri":"/pools/default?uuid=6fbead6ee4d86818b26362b48cdd2cd5","streamingUri":"/poolsStreaming/default?uuid=6fbead6ee4d86818b26362b48cdd2cd5"}

      ],"settings":{"maxParallelIndexers":"/settings/maxParallelIndexers?uuid=6fbead6ee4d86818b26362b48cdd2cd5","viewUpdateDaemon":"/settings/viewUpdateDaemon?uuid=6fbead6ee4d86818b26362b48cdd2cd5"},"uuid":"6fbead6ee4d86818b26362b48cdd2cd5","implementationVersion":"7.0.0-5269-enterprise","componentsVersion":{"stdlib":"3.12.1","chronicle":"0.0.1","crypto":"4.6.5.2","sasl":"3.4.2","ns_server":"7.0.0-5269-enterprise","ale":"0.0.0","lhttpc":"1.3.0","inets":"7.1.3.3","os_mon":"2.5.1.1","public_key":"1.7.2","ssl":"9.6.2.3","asn1":"5.0.12","kernel":"6.5.2.1"}}'
      POST http://172.23.97.164:8091/settings/saslauthdAuth enabled=true&roAdmins=&admins=
      400, {'Cache-Control': 'no-cache,no-store,must-revalidate', 'Connection': 'close', 'Content-Length': '83', 'Content-Type': 'text/plain', 'Date': 'Thu, 17 Jun 2021 09:49:02 GMT', 'Expires': 'Thu, 01 Jan 1970 0000 GMT', 'Pragma': 'no-cache', 'Server': 'Couchbase Server', 'X-Content-Type-Options': 'nosniff', 'X-Frame-Options': 'DENY', 'X-Permitted-Cross-Domain-Policies': 'none', 'X-XSS-Protection': '1; mode=block'}, b'This http API endpoint is only supported in enterprise edition running on GNU/Linux'
      ERROR: This http API endpoint is only supported in enterprise edition running on GNU/Linux

      Attachments

        For Gerrit Dashboard: DOC-8666
        # Subject Branch Project Status CR V

        Activity

          No work has yet been logged on this issue.

          People

            james.lee James Lee
            deepika.verma Deepika Verma (Inactive)
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved:

              Gerrit Reviews

                There are no open Gerrit changes

                PagerDuty